Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/util/SortUtils.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/util/SortUtils.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/util/SortUtils.java	(revision 135)
@@ -1,55 +1,155 @@
+
 package de.ugoe.cs.cpdp.util;
 
+/**
+ * <p>
+ * Utility functions for sorting.
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 public class SortUtils {
 
+    /**
+     * <p>
+     * Implements a quick sort that sorts an index set together with the array.
+     * </p>
+     *
+     * @param main
+     *            the array that is sorted
+     * @param index
+     *            the index set for the array
+     */
     public static <T extends Comparable<T>> void quicksort(T[] main, int[] index) {
         quicksort(main, index, 0, index.length - 1, false);
     }
-    
-    public static <T extends Comparable<T>> void quicksort(T[] main, int[] index, boolean descending) {
+
+    /**
+     * <p>
+     * Implements a quick sort that sorts an index set together with the array.
+     * </p>
+     *
+     * @param main
+     *            the array that is sorted
+     * @param index
+     *            the index set for the array
+     * @param descending
+     *            defines the sorting order
+     */
+    public static <T extends Comparable<T>> void quicksort(T[] main,
+                                                           int[] index,
+                                                           boolean descending)
+    {
         quicksort(main, index, 0, index.length - 1, descending);
     }
 
-    // quicksort a[left] to a[right]
-    private static <T extends Comparable<T>> void quicksort(T[] a, int[] index, int left, int right, boolean descending) {
+    /**
+     * <p>
+     * internal quicksort implementation
+     * </p>
+     *
+     * @param main
+     *            the array that is sorted
+     * @param index
+     *            the index set for the array
+     * @param left
+     *            defines the current partition
+     * @param right
+     *            defines the current partition
+     * @param descending
+     *            defines the sorting order
+     */
+    private static <T extends Comparable<T>> void quicksort(T[] main,
+                                                            int[] index,
+                                                            int left,
+                                                            int right,
+                                                            boolean descending)
+    {
         if (right <= left)
             return;
-        int i = partition(a, index, left, right, descending);
-        quicksort(a, index, left, i - 1, descending);
-        quicksort(a, index, i + 1, right, descending);
+        int i = partition(main, index, left, right, descending);
+        quicksort(main, index, left, i - 1, descending);
+        quicksort(main, index, i + 1, right, descending);
     }
 
-    // partition a[left] to a[right], assumes left < right
-    private static <T extends Comparable<T>> int partition(T[] a, int[] index, int left, int right, boolean descending) {
+    /**
+     * <p>
+     * internal partitioning of the quicksort implementation
+     * </p>
+     *
+     * @param main
+     *            the array that is sorted
+     * @param index
+     *            the index set for the array
+     * @param left
+     *            defines the current partition
+     * @param right
+     *            defines the current partition
+     * @param descending
+     *            defines the sorting order
+     */
+    private static <T extends Comparable<T>> int partition(T[] main,
+                                                           int[] index,
+                                                           int left,
+                                                           int right,
+                                                           boolean descending)
+    {
         int i = left - 1;
         int j = right;
         while (true) {
-            while (compare(a[++i], a[right], descending)) // find item on left to swap
+            while (compare(main[++i], main[right], descending)) // find item on left to swap
             ; // a[right] acts as sentinel
-            while (compare(a[right], a[--j], descending)) // find item on right to swap
+            while (compare(main[right], main[--j], descending)) // find item on right to swap
                 if (j == left)
                     break; // don't go out-of-bounds
             if (i >= j)
                 break; // check if pointers cross
-            exch(a, index, i, j); // swap two elements into place
+            swap(main, index, i, j); // swap two elements into place
         }
-        exch(a, index, i, right); // swap with partition element
+        swap(main, index, i, right); // swap with partition element
         return i;
     }
 
-    // is x < y ?
+    /**
+     * <p>
+     * helper function for comparator evaluation
+     * </p>
+     *
+     * @param x
+     *            first element that is compared
+     * @param y
+     *            second element that is compared
+     * @param descending
+     *            defines the sorting order
+     * @return true if x is larger than y and descending is true or y is larger than x and
+     *         descending is false
+     */
     private static <T extends Comparable<T>> boolean compare(T x, T y, boolean descending) {
-        if( descending ) {
-            return x.compareTo(y)>0;
-        } else {
-            return x.compareTo(y)<0;
+        if (descending) {
+            return x.compareTo(y) > 0;
+        }
+        else {
+            return x.compareTo(y) < 0;
         }
     }
 
-    // exchange a[i] and a[j]
-    private static <T extends Comparable<T>> void exch(T[] a, int[] index, int i, int j) {
-        T swap = a[i];
-        a[i] = a[j];
-        a[j] = swap;
+    /**
+     * <p>
+     * swaps to elements
+     * </p>
+     *
+     * @param main
+     *            the array that is sorted
+     * @param index
+     *            the index set for the array
+     * @param i
+     *            index of the first element
+     * @param j
+     *            index of the second element
+     */
+    private static <T extends Comparable<T>> void swap(T[] main, int[] index, int i, int j) {
+        T tmp = main[i];
+        main[i] = main[j];
+        main[j] = tmp;
         int b = index[i];
         index[i] = index[j];
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/util/WekaUtils.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/util/WekaUtils.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/util/WekaUtils.java	(revision 135)
@@ -15,5 +15,4 @@
 package de.ugoe.cs.cpdp.util;
 
-// TODO comment
 import org.apache.commons.math3.ml.distance.EuclideanDistance;
 
@@ -21,6 +20,21 @@
 import weka.core.Instances;
 
+/**
+ * <p>
+ * Collections of helper functions to work with Weka.
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 public class WekaUtils {
 
+    /**
+     * <p>
+     * Data class for distance between instances within a data set based on their distributional
+     * characteristics.
+     * </p>
+     * 
+     * @author Steffen Herbold
+     */
     public static class DistChar {
         public final double mean;
@@ -29,4 +43,5 @@
         public final double max;
         public final int num;
+
         private DistChar(double mean, double std, double min, double max, int num) {
             this.mean = mean;
@@ -37,10 +52,10 @@
         }
     }
-    
+
     /**
      * Scaling value that moves the decimal point by 5 digets.
      */
     public final static double SCALER = 10000.0d;
-    
+
     /**
      * <p>
@@ -66,10 +81,19 @@
         return distance;
     }
-    
+
+    /**
+     * <p>
+     * Returns a double array of the values without the classification.
+     * </p>
+     *
+     * @param instance
+     *            the instance
+     * @return double array
+     */
     public static double[] instanceValues(Instance instance) {
-        double[] values = new double[instance.numAttributes()-1];
-        int k=0; 
-        for( int j=0; j<instance.numAttributes() ; j++ ) {
-            if( j!= instance.classIndex() ) {
+        double[] values = new double[instance.numAttributes() - 1];
+        int k = 0;
+        for (int j = 0; j < instance.numAttributes(); j++) {
+            if (j != instance.classIndex()) {
                 values[k] = instance.value(j);
                 k++;
@@ -78,5 +102,15 @@
         return values;
     }
-    
+
+    /**
+     * <p>
+     * Calculates the distributional characteristics of the distances the instances within a data
+     * set have to each other.
+     * </p>
+     *
+     * @param data
+     *            data for which the instances are characterized
+     * @return characteristics
+     */
     public static DistChar datasetDistance(Instances data) {
         double distance;
@@ -87,19 +121,19 @@
         int numCmp = 0;
         int l = 0;
-        double[] inst1 = new double[data.numAttributes()-1];
-        double[] inst2 = new double[data.numAttributes()-1];
+        double[] inst1 = new double[data.numAttributes() - 1];
+        double[] inst2 = new double[data.numAttributes() - 1];
         EuclideanDistance euclideanDistance = new EuclideanDistance();
-        for( int i=0; i<data.numInstances(); i++ ) {
-            l=0;
-            for( int k=0; k<data.numAttributes(); k++ ) {
-                if( k!=data.classIndex() ) {
+        for (int i = 0; i < data.numInstances(); i++) {
+            l = 0;
+            for (int k = 0; k < data.numAttributes(); k++) {
+                if (k != data.classIndex()) {
                     inst1[l] = data.instance(i).value(k);
                 }
             }
-            for( int j=0; j<data.numInstances(); j++ ) {
-                if( j!=i ) {
-                    l=0;
-                    for( int k=0; k<data.numAttributes(); k++ ) {
-                        if( k!=data.classIndex() ) {
+            for (int j = 0; j < data.numInstances(); j++) {
+                if (j != i) {
+                    l = 0;
+                    for (int k = 0; k < data.numAttributes(); k++) {
+                        if (k != data.classIndex()) {
                             inst2[l] = data.instance(j).value(k);
                         }
@@ -107,10 +141,10 @@
                     distance = euclideanDistance.compute(inst1, inst2);
                     sumAll += distance;
-                    sumAllQ += distance*distance;
+                    sumAllQ += distance * distance;
                     numCmp++;
-                    if( distance < min ) {
+                    if (distance < min) {
                         min = distance;
                     }
-                    if( distance > max ) {
+                    if (distance > max) {
                         max = distance;
                     }
@@ -119,10 +153,20 @@
         }
         double mean = sumAll / numCmp;
-        double std = Math.sqrt((sumAllQ-(sumAll*sumAll)/numCmp) *
-                                  (1.0d / (numCmp - 1)));
+        double std = Math.sqrt((sumAllQ - (sumAll * sumAll) / numCmp) * (1.0d / (numCmp - 1)));
         return new DistChar(mean, std, min, max, data.numInstances());
     }
-    
-    // like above, but for single attribute
+
+    /**
+     * <p>
+     * Calculates the distributional characteristics of the distances of a single attribute the
+     * instances within a data set have to each other.
+     * </p>
+     *
+     * @param data
+     *            data for which the instances are characterized
+     * @param index
+     *            attribute for which the distances are characterized
+     * @return characteristics
+     */
     public static DistChar attributeDistance(Instances data, int index) {
         double distance;
@@ -133,17 +177,17 @@
         int numCmp = 0;
         double value1, value2;
-        for( int i=0; i<data.numInstances(); i++ ) {
+        for (int i = 0; i < data.numInstances(); i++) {
             value1 = data.instance(i).value(index);
-            for( int j=0; j<data.numInstances(); j++ ) {
-                if( j!=i ) {
+            for (int j = 0; j < data.numInstances(); j++) {
+                if (j != i) {
                     value2 = data.instance(j).value(index);
-                    distance = Math.abs(value1-value2);
+                    distance = Math.abs(value1 - value2);
                     sumAll += distance;
-                    sumAllQ += distance*distance;
+                    sumAllQ += distance * distance;
                     numCmp++;
-                    if( distance < min ) {
+                    if (distance < min) {
                         min = distance;
                     }
-                    if( distance > max ) {
+                    if (distance > max) {
                         max = distance;
                     }
@@ -152,9 +196,8 @@
         }
         double mean = sumAll / numCmp;
-        double std = Math.sqrt((sumAllQ-(sumAll*sumAll)/numCmp) *
-                                  (1.0d / (numCmp - 1)));
+        double std = Math.sqrt((sumAllQ - (sumAll * sumAll) / numCmp) * (1.0d / (numCmp - 1)));
         return new DistChar(mean, std, min, max, data.numInstances());
     }
-    
+
     /**
      * <p>
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/AbstractVersionFilter.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/AbstractVersionFilter.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/AbstractVersionFilter.java	(revision 135)
@@ -25,5 +25,5 @@
 public abstract class AbstractVersionFilter implements IVersionFilter {
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.versions.IVersionFilter#apply(java.util.List)
      */
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/MinClassNumberFilter.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/MinClassNumberFilter.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/MinClassNumberFilter.java	(revision 135)
@@ -30,5 +30,5 @@
     private int minInstances = 0;
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.versions.IVersionFilter#apply(de.ugoe.cs.cpdp.versions.SoftwareVersion)
      */
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/MinInstanceNumberFilter.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/MinInstanceNumberFilter.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/MinInstanceNumberFilter.java	(revision 135)
@@ -28,5 +28,5 @@
     private int minInstances = 0;
 
-    /**
+    /*
      * @see de.ugoe.cs.cpdp.versions.IVersionFilter#apply(de.ugoe.cs.cpdp.versions.SoftwareVersion)
      */
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/SoftwareVersion.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/SoftwareVersion.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/versions/SoftwareVersion.java	(revision 135)
@@ -40,7 +40,7 @@
      */
     private final Instances instances;
-    
+
     /**
-     * Review effort per instance. 
+     * Review effort per instance.
      */
     private final List<Double> efforts;
@@ -56,5 +56,9 @@
      *            data of the version
      */
-    public SoftwareVersion(String project, String version, Instances instances, List<Double> efforts) {
+    public SoftwareVersion(String project,
+                           String version,
+                           Instances instances,
+                           List<Double> efforts)
+    {
         this.project = project;
         this.version = version;
@@ -62,5 +66,5 @@
         this.efforts = efforts;
     }
-    
+
     /**
      * returns the project name
@@ -89,5 +93,5 @@
         return new Instances(instances);
     }
-    
+
     /**
      * <p>
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/BayesNetWrapper.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/BayesNetWrapper.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/BayesNetWrapper.java	(revision 135)
@@ -40,5 +40,4 @@
      * generated ID
      */
-    /**  */
     private static final long serialVersionUID = -4835134612921456157L;
 
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/ITestAwareClassifier.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/ITestAwareClassifier.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/ITestAwareClassifier.java	(revision 135)
@@ -1,8 +1,24 @@
+
 package de.ugoe.cs.cpdp.wekaclassifier;
 
 import weka.core.Instances;
 
+/**
+ * <p>
+ * Interface for test data aware classifier implementations
+ * </p>
+ * 
+ * @author Steffen Herbold
+ */
 public interface ITestAwareClassifier {
-    
+
+    /**
+     * <p>
+     * passes the test data to the classifier
+     * </p>
+     *
+     * @param testdata
+     *            the test data
+     */
     public void setTestdata(Instances testdata);
 
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/RandomClass.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/RandomClass.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/RandomClass.java	(revision 135)
@@ -22,16 +22,31 @@
 
 /**
+ * <p>
  * Assigns a random class label to the instance it is evaluated on.
- * 
+ * </p>
  * The range of class labels are hardcoded in fixedClassValues. This can later be extended to take
  * values from the XML configuration.
+ * </p>
+ * 
+ * @author Alexander Trautsch
  */
 public class RandomClass extends AbstractClassifier {
 
+    /**
+     * default serialization id
+     */
     private static final long serialVersionUID = 1L;
 
+    /**
+     * class values
+     */
     private double[] fixedClassValues =
         { 0.0d, 1.0d };
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see weka.classifiers.Classifier#buildClassifier(weka.core.Instances)
+     */
     @Override
     public void buildClassifier(Instances arg0) throws Exception {
@@ -39,4 +54,9 @@
     }
 
+    /*
+     * (non-Javadoc)
+     * 
+     * @see weka.classifiers.AbstractClassifier#classifyInstance(weka.core.Instance)
+     */
     @Override
     public double classifyInstance(Instance instance) {
Index: /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/WHICH.java
===================================================================
--- /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/WHICH.java	(revision 134)
+++ /trunk/CrossPare/src/de/ugoe/cs/cpdp/wekaclassifier/WHICH.java	(revision 135)
@@ -268,5 +268,5 @@
                 score = 0;
             }
-            if( score==0 ) {
+            if (score == 0) {
                 score = 0.000000001; // to disallow 0 total score
             }
@@ -296,7 +296,8 @@
                 else {
                     String range = ranges.get(k);
-                    if( "'All'".equals(range) ) {
+                    if ("'All'".equals(range)) {
                         result = true;
-                    } else {
+                    }
+                    else {
                         double instanceValue = instance.value(attrIndex);
                         double lowerBound;
@@ -327,9 +328,11 @@
                             else {
                                 // first value is positive
-                                if( splitResult[0].substring(2, splitResult[0].length()).equals("ll'")) {
+                                if (splitResult[0].substring(2, splitResult[0].length())
+                                    .equals("ll'"))
+                                {
                                     System.out.println("foo");
                                 }
-                                lowerBound = Double
-                                    .parseDouble(splitResult[0].substring(2, splitResult[0].length()));
+                                lowerBound = Double.parseDouble(splitResult[0]
+                                    .substring(2, splitResult[0].length()));
                                 if (splitResult[1].startsWith("inf")) {
                                     upperBound = Double.POSITIVE_INFINITY;
@@ -346,5 +349,6 @@
                         boolean upperBoundMatch = (range.charAt(range.length() - 2) == ')' &&
                             instanceValue < upperBound) ||
-                            (range.charAt(range.length() - 2) == ']' && instanceValue <= upperBound);
+                            (range.charAt(range.length() - 2) == ']' &&
+                                instanceValue <= upperBound);
                         result = lowerBoundMatch && upperBoundMatch;
                     }
Index: /trunk/CrossPare/test/de/ugoe/cs/cpdp/eval/MySQLResultStorageTest.java
===================================================================
--- /trunk/CrossPare/test/de/ugoe/cs/cpdp/eval/MySQLResultStorageTest.java	(revision 134)
+++ /trunk/CrossPare/test/de/ugoe/cs/cpdp/eval/MySQLResultStorageTest.java	(revision 135)
@@ -12,8 +12,4 @@
         result.setSizeTestData(100);
         result.setSizeTrainingData(200);
-        result.setSuccHe(0.1);
-        result.setSuccZi(0.05);
-        result.setSuccG75(0.2);
-        result.setSuccG60(0.4);
         result.setError(0.2);
         result.setRecall(0.8);
